Skip to content

Create permission groups in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Create permission groups in batches, and you can set the permission group name, code, and description information separately.

Method name

ManagementClient.create_namespaces_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a CreateNamespacesBatchItemDto[]Yes-Permission group list Array length limit: 50.

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

CreateNamespacesBatchItemDto

NameTypeIs it required?DescriptionSample value
codestringYesPermission group unique identifiermy-namespace
namestringNoPermission group nameMy permission group
descriptionstringNoPermission group descriptionMy permission group description

IsSuccessDto

NameTypeIs it required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.